pg_fetch_row
pg_field_name
PostgreSQL Functions
PHP Manual

# pg_field_is_null

(PHP 4 >= 4.2.0, PHP 5)

pg_field_is_null — Test if a field is SQL NULL

### Description

int pg_field_is_null ( resource `$result` , int `$row` , mixed `$field` )
int pg_field_is_null ( resource `$result` , mixed `$field` )

pg_field_is_null() tests if a field in a PostgreSQL result resource is SQL NULL or not.

> Note:

> This function used to be called pg_fieldisnull().

### Parameters

`result`

  PostgreSQL query result resource, returned by pg_query(), pg_query_params() or pg_execute() (among others).

`row`

  Row number in result to fetch. Rows are numbered from 0 upwards. If omitted, current row is fetched.

`field`

  Field number (starting from 0) as an integer or the field name as a string.

### Return Values

Returns 1 if the field in the given row is SQL NULL, 0 if not. `FALSE` is returned if the row is out of range, or upon any other error.

### Examples

Example #1 pg_field_is_null() example

`<?php
$dbconn = pg_connect("dbname=publisher") or die ("Could not connect");
$res = pg_query($dbconn, "select * from authors where author = 'Orwell'");
if ($res) {
if (pg_field_is_null($res, 0, "year") == 1) {
echo "The value of the field year is null.\n";
}
if (pg_field_is_null($res, 0, "year") == 0) {
echo "The value of the field year is not null.\n";
}
}
?>`

pg_fetch_row
pg_field_name
PostgreSQL Functions
PHP Manual